koi8_r.c File Reference
`#include "regenc.h"`

Go to the source code of this file.

## Macros

#define | ENC_KOI8_R_TO_LOWER_CASE(c) EncKOI8_R_ToLowerCaseTable[c]
#define | ENC_IS_KOI8_R_CTYPE(code, ctype) ((EncKOI8_R_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)

## Functions

static int | koi8_r_mbc_case_fold (OnigCaseFoldType flag ARG_UNUSED, const UChar **pp, const UChar *end ARG_UNUSED, UChar *lower, OnigEncoding enc ARG_UNUSED)
static int | koi8_r_is_code_ctype (OnigCodePoint code, unsigned int ctype, OnigEncoding enc ARG_UNUSED)
static int | koi8_r_apply_all_case_fold (OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, OnigEncoding enc ARG_UNUSED)
static int | koi8_r_get_case_fold_codes_by_str (OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem items[], OnigEncoding enc ARG_UNUSED)
| OnigEncodingDefine (koi8_r, KOI8_R)

## Variables

static const UChar | EncKOI8_R_ToLowerCaseTable [256]
static const unsigned short | EncKOI8_R_CtypeTable [256]
static const OnigPairCaseFoldCodes | CaseFoldMap []

## Macro Definition Documentation

#define ENC_IS_KOI8_R_CTYPE | ( |  | code,
|  |  | ctype
| ) |  | ((EncKOI8_R_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)

Definition at line 33 of file koi8_r.c.

Referenced by koi8_r_is_code_ctype().

#define ENC_KOI8_R_TO_LOWER_CASE | ( |  | c | ) | EncKOI8_R_ToLowerCaseTable[c]

Definition at line 32 of file koi8_r.c.

Referenced by koi8_r_mbc_case_fold().

## Function Documentation

static int koi8_r_apply_all_case_fold | ( | OnigCaseFoldType | flag,
|  | OnigApplyAllCaseFoldFunc | f,
|  | void * | arg,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 181 of file koi8_r.c.

References onigenc_apply_all_case_fold_with_map().

static int koi8_r_get_case_fold_codes_by_str | ( | OnigCaseFoldType | flag,
|  | const OnigUChar * | p,
|  | const OnigUChar * | end,
|  | OnigCaseFoldCodeItem | items[],
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 191 of file koi8_r.c.

References onigenc_get_case_fold_codes_by_str_with_map().

static int koi8_r_is_code_ctype | ( | OnigCodePoint | code,
|  | unsigned int | ctype,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 133 of file koi8_r.c.

References ENC_IS_KOI8_R_CTYPE, and FALSE.

static int koi8_r_mbc_case_fold | ( | OnigCaseFoldType flag | ARG_UNUSED,
|  | const UChar ** | pp,
|  | const UChar *end | ARG_UNUSED,
|  | UChar * | lower,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 107 of file koi8_r.c.

References ENC_KOI8_R_TO_LOWER_CASE, p, and UChar.

OnigEncodingDefine | ( | koi8_r | ,
|  | KOI8_R |
| ) |  |

## Variable Documentation

const OnigPairCaseFoldCodes CaseFoldMap[]

static

Definition at line 142 of file koi8_r.c.

const unsigned short EncKOI8_R_CtypeTable[256]

static

Definition at line 71 of file koi8_r.c.

const UChar EncKOI8_R_ToLowerCaseTable[256]

static

Definition at line 36 of file koi8_r.c.